PHP Manual
Prev |  | Next

# OCI-Lob->flush

(no version information, might be only in CVS)

OCI-Lob->flush -- Flushes/writes buffer of the LOB to the server

## Description

class OCI-Lob {
bool flush ( [int flag] )
}

OCI-Lob->flush() actually writes data to the server. By default, resources are not freed, but using flag `OCI_LOB_BUFFER_FREE` you can do it explicitly. Be sure you know what you're doing - next read/write operation to the same part of LOB will involve a round-trip to the server and initialize new buffer resources. It is recommended to use `OCI_LOB_BUFFER_FREE` flag only when you are not going to work with the LOB anymore.

OCI-Lob->flush() returns `FALSE` if buffering was not enabled or an error occurred.

Returns `TRUE` on success or `FALSE` on failure.

## Parameters

flag

## See Also

OCI-Lob->getBuffering
OCI-Lob->setBuffering

Prev | Home | Next
OCI-Lob->export | Up | OCI-Lob->free